# KSPGMRESSetCGSRefinementType

Sets the type of iterative refinement to use in the classical Gram Schmidt orthogonalization. of the preconditioned problem.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPGMRESSetCGSRefinementType(KSP ksp,KSPGMRESCGSRefinementType type)

Collective on KSP

### Input Parameters

| ksp | - the Krylov space context
| type | - the type of refinement

### Options Database

-ksp_gmres_cgs_refinement_type <never,ifneeded,always> -

### Keywords

KSP, GMRES, iterative refinement

### See Also

KSPGMRESSetOrthogonalization(), KSPGMRESCGSRefinementType, KSPGMRESClassicalGramSchmidtOrthogonalization()

Level:intermediate
Location: src/ksp/ksp/impls/gmres/gmres.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages